be.ehealth.businessconnector.hubv3.session

## Interface HubService

- All Known Implementing Classes:
    HubServiceImpl

      public interface HubService

  As part of the Business Connector for General Practitioners, a Hub Consultation component is foreseen that provides connectivity to a local hub. As part of this component a set of 26 operations are available. They can be grouped as follows:

  - Transactions: Put, Get, Revoke, Get List, Declare, Get Latest Update
  - Transaction Sets: Put, Get
  - Request Publication
  - Health Care Party: Get, Put
  - Patient: Get, Put
  - Health Care Party Consent: Put, Get, Revoke
  - Patient Consent: Put, Get, Revoke
  - Therapeutic Link: Put, Get, Revoke
  - Access Right: Put, Get, Revoke
  - Get Patient Audit Trail

  The Hub business connector, part of the Business Connector for General Practitioners, provides a simple API to access the wide range of hub operations. It hides the complexity on both functional and technical level (web service communication, simplified data interface, handles encryption/decryption, etc).

  The following principles have been applied while defining the interface for the set of operations:

  - The request/response messages exchanged with the hub system include a header element that includes some general information related to the message and sender. This information will be added automatically, no intervention is required by the client application using the API. The necessary information will be retrieved from the Business Connector's configuration file.
  - The Kmehr XML format is used extensively to structure data elements that are exchanged between hubs, hospitals and a General Practitioner. Whenever a Kmehr document is requested as input parameter or provided as response, the Kmehr XML format is foreseen as interface for the operation. This means that the client application must provide a valid Kmehr XML structure as input or will receive a Kmehr XML structure as response for certain operations.
  - As medical information is exchanged, the sensitive data will be encrypted using the end-to-end encryption framework. The Hub Consultation component will take care of the encryption/decryption of the content.

  This interface will return the WS response object directly, so that you can retrieve the full error messages, codes,... received from the WS.

  Pre-requisites

  - An active and valid eHealth-platform session (initiated via the Session Management component)
  - Hub configuration
  Default impl : `HubServiceImpl` Factory : `HubSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeclareTransactionResponse` | `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)` This operation should be used to declare a transaction within a hub.
    `DeclareTransactionResponse` | `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader, String breakTheGlass)` This operation should be used to declare a transaction within a hub.
    `GetAccessRightResponse` | `getAccessRight(TransactionIdType transaction)` This operation should be used to get access rights on a transaction within a hub.
    `GetAccessRightResponse` | `getAccessRight(TransactionIdType transaction, String breakTheGlass)` This operation should be used to get access rights on a transaction within a hub.
    `GetHCPartyResponse` | `getHCParty(HCPartyIdType hcParty)` This operation should be used to retrieve the data associated with a healthcare party within a hub.
    `GetHCPartyResponse` | `getHCParty(HCPartyIdType hcParty, String breakTheGlass)` This operation should be used to retrieve the data associated with a healthcare party within a hub.
    `GetHCPartyConsentResponse` | `getHCPartyConsent(HCPartyIdType hcParty)` This operation should be used to retrieve the consent of a healthcare party within a hub.
    `GetHCPartyConsentResponse` | `getHCPartyConsent(HCPartyIdType hcParty, String breakTheGlass)` This operation should be used to retrieve the consent of a healthcare party within a hub.
    `GetLatestUpdateResponse` | `getLatestUpdate(SelectGetLatestUpdateType latestUpdate)` This operation should be used to retrieve the time of the last change made to a transaction.
    `GetLatestUpdateResponse` | `getLatestUpdate(SelectGetLatestUpdateType latestUpdate, String breakTheGlass)` This operation should be used to retrieve the time of the last change made to a transaction.
    `GetPatientResponse` | `getPatient(PatientIdType patient)` This operation should be used to declare the consent of an healthcare party within a hub.
    `GetPatientResponse` | `getPatient(PatientIdType patient, String breakTheGlass)` This operation should be used to declare the consent of an healthcare party within a hub.
    `GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)` This operation should be used to get the list of transaction accesses for a given patient.
    `GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail, Paginationrequestinfo paginationrequestinfo)` This operation should be used to get the list of transaction accesses for a given patient.
    `GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail, Paginationrequestinfo paginationrequestinfo, String breakTheGlass)` This operation should be used to get the list of transaction accesses for a given patient.
    `GetPatientAuditTrailResponse` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail, String breakTheGlass)` This operation should be used to get the list of transaction accesses for a given patient.
    `GetPatientConsentResponse` | `getPatientConsent(SelectGetPatientConsentType patientConsent)` This operation should be used to retrieve the consent of a patient within a hub.
    `GetPatientConsentResponse` | `getPatientConsent(SelectGetPatientConsentType patientConsent, String breakTheGlass)` This operation should be used to retrieve the consent of a patient within a hub.
    `GetTherapeuticLinkResponse` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType consent)` This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
    `GetTherapeuticLinkResponse` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType consent, String breakTheGlass)` This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
    `GetTransactionResponse` | `getTransaction(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
    `GetTransactionResponse` | `getTransaction(PatientIdType patient, TransactionBaseType transaction, String breakTheGlass)` This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
    `GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` This operation should be used to get the list of available transactions that fulfill some given criteria.
    `GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, Integer maxRows)` This operation should be used to get the list of available transactions that fulfill some given criteria.
    `GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, Paginationrequestinfo paginationrequestinfo)` This operation should be used to get the list of available transactions that fulfill some given criteria.
    `GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, Paginationrequestinfo paginationrequestinfo, String breakTheGlass)` This operation should be used to get the list of available transactions that fulfill some given criteria.
    `GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, String breakTheGlass)` This operation should be used to get the list of available transactions that fulfill some given criteria.
    `GetTransactionListResponse` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction, String breakTheGlass, Integer maxRows)` This operation should be used to get the list of available transactions that fulfill some given criteria.
    `GetTransactionSetResponse` | `getTransactionSet(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.
    `GetTransactionSetResponse` | `getTransactionSet(PatientIdType patient, TransactionBaseType transaction, String breakTheGlass)` This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.
    `PutAccessRightResponse` | `putAccessRight(AccessRightType accessRight)` This operation should be used to put an access right on a transaction within a hub.
    `PutAccessRightResponse` | `putAccessRight(AccessRightType accessRight, String breakTheGlass)` This operation should be used to put an access right on a transaction within a hub.
    `PutHCPartyResponse` | `putHCParty(HCPartyAdaptedType hcParty)` This operation should be used to create a healthcare party within a hub.
    `PutHCPartyResponse` | `putHCParty(HCPartyAdaptedType hcParty, String breakTheGlass)` This operation should be used to create a healthcare party within a hub.
    `PutHCPartyConsentResponse` | `putHCPartyConsent(ConsentHCPartyType consent)` This operation should be used to declare the consent of an healthcare party within a hub.
    `PutHCPartyConsentResponse` | `putHCPartyConsent(ConsentHCPartyType consent, String breakTheGlass)` This operation should be used to declare the consent of an healthcare party within a hub.
    `PutPatientResponse` | `putPatient(PersonType patient)` This operation should be used to create a patient within a hub.
    `PutPatientResponse` | `putPatient(PersonType patient, String breakTheGlass)` This operation should be used to create a patient within a hub.
    `PutPatientConsentResponse` | `putPatientConsent(ConsentType patientConsent)` This operation should be used to declare the consent of a patient within a hub.
    `PutPatientConsentResponse` | `putPatientConsent(ConsentType patientConsent, String breakTheGlass)` This operation should be used to declare the consent of a patient within a hub.
    `PutTherapeuticLinkResponse` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink)` This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
    `PutTherapeuticLinkResponse` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink, String breakTheGlass)` This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
    `PutTransactionResponse` | `putTransaction(Kmehrmessage msg)` This operation should be used to declare and to store a given transaction within a hub.
    `PutTransactionResponse` | `putTransaction(Kmehrmessage msg, String breakTheGlass)` This operation should be used to declare and to store a given transaction within a hub.
    `PutTransactionSetResponse` | `putTransactionSet(Kmehrmessage msg)` This operation should be used to declare and to store a given transaction set within a hub.
    `PutTransactionSetResponse` | `putTransactionSet(Kmehrmessage msg, String breakTheGlass)` This operation should be used to declare and to store a given transaction set within a hub.
    `RequestPublicationResponse` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
    `RequestPublicationResponse` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment, String breakTheGlass)` This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
    `RevokeAccessRightResponse` | `revokeAccessRight(SelectRevokeAccessRightType accessRight)` This operation should be used to revoke access right on a transaction within a hub.
    `RevokeAccessRightResponse` | `revokeAccessRight(SelectRevokeAccessRightType accessRight, String breakTheGlass)` This operation should be used to revoke access right on a transaction within a hub.
    `RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(ConsentHCPartyType consent)` This operation should be used to revoke the consent of a healthcare party within a hub.
    `RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(ConsentHCPartyType consent, String breakTheGlass)` This operation should be used to revoke the consent of a healthcare party within a hub.
    `RevokePatientConsentResponse` | `revokePatientConsent(ConsentType patientConsent)` This operation should be used to revoke the consent of a patient within a hub.
    `RevokePatientConsentResponse` | `revokePatientConsent(ConsentType patientConsent, String breakTheGlass)` This operation should be used to revoke the consent of a patient within a hub.
    `RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)` This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
    `RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink, String breakTheGlass)` This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
    `RevokeTransactionResponse` | `revokeTransaction(PatientIdType patient, TransactionBaseType transaction)` This operation should be used to 'unpublish' a given transaction.
    `RevokeTransactionResponse` | `revokeTransaction(PatientIdType patient, TransactionBaseType transaction, String breakTheGlass)` This operation should be used to 'unpublish' a given transaction.

- - ### Method Detail

    - #### declareTransaction

          DeclareTransactionResponse declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to declare a transaction within a hub.
      Parameters:
        `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
      Returns:
        `DeclareTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `SessionManagementException`
        `IntraHubBusinessConnectorException`

    - #### declareTransaction

          DeclareTransactionResponse declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to declare a transaction within a hub.
      Parameters:
        `kmehrHeader` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `DeclareTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `SessionManagementException`
        `IntraHubBusinessConnectorException`

    - #### putTransaction

          PutTransactionResponse putTransaction(Kmehrmessage msg,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to declare and to store a given transaction within a hub.
      Parameters:
        `msg` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### putTransaction

          PutTransactionResponse putTransaction(Kmehrmessage msg)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to declare and to store a given transaction within a hub.
      Parameters:
        `msg` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
      Returns:
        `PutTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### revokeTransaction

          RevokeTransactionResponse revokeTransaction(PatientIdType patient,
                                                      TransactionBaseType transaction,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to 'unpublish' a given transaction.
      Parameters:
        `patient` - Patient for which to revoke the transaction.
        `transaction` - Transaction to revoke.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `RevokeTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### revokeTransaction

          RevokeTransactionResponse revokeTransaction(PatientIdType patient,
                                                      TransactionBaseType transaction)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to 'unpublish' a given transaction.
      Parameters:
        `patient` - Patient for which to revoke the transaction.
        `transaction` - Transaction to revoke.
      Returns:
        `RevokeTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                        LocalSearchType searchType,
                                                        TransactionWithPeriodType transaction,
                                                        String breakTheGlass,
                                                        Integer maxRows)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get the list of available transactions that fulfill some given criteria.
      Parameters:
        `patient` - Patient for which to retrieve the transaction list.
        `searchType` - The search type (local or national)
        `transaction` - Transaction types to search.
        `breakTheGlass` - Indicates the request as "break-the-glass"
        `maxRows` - The maximum number of results returned by the search
      Returns:
        `GetTransactionListResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                        LocalSearchType searchType,
                                                        TransactionWithPeriodType transaction,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get the list of available transactions that fulfill some given criteria.
      Parameters:
        `patient` - Patient for which to retrieve the transaction list.
        `searchType` - The search type (local or national)
        `transaction` - Transaction types to search.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetTransactionListResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                        LocalSearchType searchType,
                                                        TransactionWithPeriodType transaction,
                                                        Integer maxRows)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get the list of available transactions that fulfill some given criteria.
      Parameters:
        `patient` - Patient for which to retrieve the transaction list.
        `searchType` - The search type (local or national)
        `transaction` - Transaction types to search.
        `maxRows` - The maximum number of results returned by the search
      Returns:
        `GetTransactionListResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                        LocalSearchType searchType,
                                                        TransactionWithPeriodType transaction)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get the list of available transactions that fulfill some given criteria.
      Parameters:
        `patient` - Patient for which to retrieve the transaction list.
        `searchType` - The search type (local or national)
        `transaction` - Transaction types to search.
      Returns:
        `GetTransactionListResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                        LocalSearchType searchType,
                                                        TransactionWithPeriodType transaction,
                                                        Paginationrequestinfo paginationrequestinfo)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get the list of available transactions that fulfill some given criteria.
      Parameters:
        `patient` - Patient for which to retrieve the transaction list.
        `searchType` - The search type (local or national)
        `transaction` - Transaction types to search.
        `paginationrequestinfo` - Informations for pagination
      Returns:
        `GetTransactionListResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(PatientIdType patient,
                                                        LocalSearchType searchType,
                                                        TransactionWithPeriodType transaction,
                                                        Paginationrequestinfo paginationrequestinfo,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get the list of available transactions that fulfill some given criteria.
      Parameters:
        `patient` - Patient for which to retrieve the transaction list.
        `searchType` - The search type (local or national)
        `transaction` - Transaction types to search.
        `paginationrequestinfo` - Informations for pagination
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetTransactionListResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransaction

          GetTransactionResponse getTransaction(PatientIdType patient,
                                                TransactionBaseType transaction,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
      Parameters:
        `patient` - Patient for which to retrieve the transaction.
        `transaction` - Transaction identification
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransaction

          GetTransactionResponse getTransaction(PatientIdType patient,
                                                TransactionBaseType transaction)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to retrieve a transaction (given a transaction identifier) within a hub.
      Parameters:
        `patient` - Patient for which to retrieve the transaction.
        `transaction` - Transaction identification
      Returns:
        `GetTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### requestPublication

          RequestPublicationResponse requestPublication(PatientIdType patient,
                                                        TransactionWithPeriodType transaction,
                                                        String comment,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
      Parameters:
        `patient` - The Patient for who the publication is.
        `transaction` - Transaction types and Health Care Parties
        `comment` - Comment
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `RequestPublicationResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### requestPublication

          RequestPublicationResponse requestPublication(PatientIdType patient,
                                                        TransactionWithPeriodType transaction,
                                                        String comment)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation allows a healthcare party to ask to another healthcare party to publish documents related to a patient.
      Parameters:
        `patient` - The Patient for who the publication is.
        `transaction` - Transaction types and Health Care Parties
        `comment` - Comment
      Returns:
        `RequestPublicationResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putHCParty

          PutHCPartyResponse putHCParty(HCPartyAdaptedType hcParty)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to create a healthcare party within a hub. It can also be used to update the information about this healthcare party.
      Parameters:
        `hcParty` - Information about the healthcare party
      Returns:
        `PutHCPartyResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putHCParty

          PutHCPartyResponse putHCParty(HCPartyAdaptedType hcParty,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to create a healthcare party within a hub. It can also be used to update the information about this healthcare party.
      Parameters:
        `hcParty` - Information about the healthcare party
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutHCPartyResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getHCParty

          GetHCPartyResponse getHCParty(HCPartyIdType hcParty)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to retrieve the data associated with a healthcare party within a hub.
      Parameters:
        `hcParty` - This is the NIHII or SSIN number according to the type of healthcare party. Other local identifiers are allowed.
      Returns:
        `GetHCPartyResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getHCParty

          GetHCPartyResponse getHCParty(HCPartyIdType hcParty,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to retrieve the data associated with a healthcare party within a hub.
      Parameters:
        `hcParty` - This is the NIHII or SSIN number according to the type of healthcare party. Other local identifiers are allowed.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetHCPartyResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putPatient

          PutPatientResponse putPatient(PersonType patient,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to create a patient within a hub. It can also be used to update the information about a patient.
      Parameters:
        `patient` - Information about a patient
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutPatientResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putPatient

          PutPatientResponse putPatient(PersonType patient)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to create a patient within a hub. It can also be used to update the information about a patient.
      Parameters:
        `patient` - Information about a patient
      Returns:
        `PutPatientResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatient

          GetPatientResponse getPatient(PatientIdType patient,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to declare the consent of an healthcare party within a hub.
      Parameters:
        `patient` - Patient contains only the identifiers of the patient. Several identifiers of the same patient are allowed.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetPatientResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatient

          GetPatientResponse getPatient(PatientIdType patient)
                                 throws TechnicalConnectorException,
                                        IntraHubBusinessConnectorException

      This operation should be used to declare the consent of an healthcare party within a hub.
      Parameters:
        `patient` - Patient contains only the identifiers of the patient. Several identifiers of the same patient are allowed.
      Returns:
        `GetPatientResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putHCPartyConsent

          PutHCPartyConsentResponse putHCPartyConsent(ConsentHCPartyType consent)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to declare the consent of an healthcare party within a hub.
      Parameters:
        `consent` - A Consent containing a HCParty and the signature date.
      Returns:
        `PutHCPartyConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putHCPartyConsent

          PutHCPartyConsentResponse putHCPartyConsent(ConsentHCPartyType consent,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to declare the consent of an healthcare party within a hub.
      Parameters:
        `consent` - A Consent containing a HCParty and the signature date.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutHCPartyConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getHCPartyConsent

          GetHCPartyConsentResponse getHCPartyConsent(HCPartyIdType hcParty,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to retrieve the consent of a healthcare party within a hub.
      Parameters:
        `hcParty` - This is the NIHII or INSS number according to the type of healthcare party. Other local identifiers are allowed.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetHCPartyConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getHCPartyConsent

          GetHCPartyConsentResponse getHCPartyConsent(HCPartyIdType hcParty)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to retrieve the consent of a healthcare party within a hub.
      Parameters:
        `hcParty` - This is the NIHII or INSS number according to the type of healthcare party. Other local identifiers are allowed.
      Returns:
        `GetHCPartyConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### revokeHCPartyConsent

          RevokeHCPartyConsentResponse revokeHCPartyConsent(ConsentHCPartyType consent,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to revoke the consent of a healthcare party within a hub.
      Parameters:
        `consent` - A Consent containing a HCParty and the signature date.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `RevokeHCPartyConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### revokeHCPartyConsent

          RevokeHCPartyConsentResponse revokeHCPartyConsent(ConsentHCPartyType consent)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to revoke the consent of a healthcare party within a hub.
      Parameters:
        `consent` - A Consent containing a HCParty and the signature date.
      Returns:
        `RevokeHCPartyConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### putPatientConsent

          PutPatientConsentResponse putPatientConsent(ConsentType patientConsent,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to declare the consent of a patient within a hub.
      Parameters:
        `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective'/ 'prospective' attribute.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutPatientConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putPatientConsent

          PutPatientConsentResponse putPatientConsent(ConsentType patientConsent)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to declare the consent of a patient within a hub.
      Parameters:
        `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective'/ 'prospective' attribute.
      Returns:
        `PutPatientConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatientConsent

          GetPatientConsentResponse getPatientConsent(SelectGetPatientConsentType patientConsent,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to retrieve the consent of a patient within a hub.
      Parameters:
        `patientConsent` - Contains the Patient Identifiers and the scope of the consent
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetPatientConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatientConsent

          GetPatientConsentResponse getPatientConsent(SelectGetPatientConsentType patientConsent)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to retrieve the consent of a patient within a hub.
      Parameters:
        `patientConsent` - Contains the Patient Identifiers and the scope of the consent
      Returns:
        `GetPatientConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### revokePatientConsent

          RevokePatientConsentResponse revokePatientConsent(ConsentType patientConsent,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to revoke the consent of a patient within a hub.
      Parameters:
        `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective' 'prospective' attribute.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `RevokePatientConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### revokePatientConsent

          RevokePatientConsentResponse revokePatientConsent(ConsentType patientConsent)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to revoke the consent of a patient within a hub.
      Parameters:
        `patientConsent` - Patient Consent data structure that contains signing date of the consent, scope of the consent, 'retrospective' 'prospective' attribute.
      Returns:
        `RevokePatientConsentResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putTherapeuticLink

          PutTherapeuticLinkResponse putTherapeuticLink(TherapeuticLinkType therapeuticLink,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
      Parameters:
        `therapeuticLink` - A Therapeutic link containing Patient Identifier, HCP identifier, Link type, link start date , link end date (optional), comment (optional)).
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutTherapeuticLinkResponse` the WS response object
      Throws:
        `SessionManagementException` - the session management exception
        `ConnectorException`
        `TechnicalConnectorException`
        `IntraHubBusinessConnectorException`

    - #### putTherapeuticLink

          PutTherapeuticLinkResponse putTherapeuticLink(TherapeuticLinkType therapeuticLink)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to declare therapeutic link between a patient and a healthcare party within a hub.
      Parameters:
        `therapeuticLink` - A Therapeutic link containing Patient Identifier, HCP identifier, Link type, link start date , link end date (optional), comment (optional)).
      Returns:
        `PutTherapeuticLinkResponse` the WS response object
      Throws:
        `SessionManagementException` - the session management exception
        `ConnectorException`
        `TechnicalConnectorException`
        `IntraHubBusinessConnectorException`

    - #### getTherapeuticLink

          GetTherapeuticLinkResponse getTherapeuticLink(SelectGetHCPartyPatientConsentType consent,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
      Parameters:
        `consent` - Contains the Patient Identifiers and the scope of the consent
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetTherapeuticLinkResponse` the WS response object
      Throws:
        `SessionManagementException` - the session management exception
        `ConnectorException`
        `TechnicalConnectorException`
        `IntraHubBusinessConnectorException`

    - #### getTherapeuticLink

          GetTherapeuticLinkResponse getTherapeuticLink(SelectGetHCPartyPatientConsentType consent)
                                                 throws TechnicalConnectorException,
                                                        IntraHubBusinessConnectorException

      This operation should be used to get therapeutic link between a patient and a healthcare party within a hub.
      Parameters:
        `consent` - Contains the Patient Identifiers and the scope of the consent
      Returns:
        `GetTherapeuticLinkResponse` the WS response object
      Throws:
        `SessionManagementException` - the session management exception
        `ConnectorException`
        `TechnicalConnectorException`
        `IntraHubBusinessConnectorException`

    - #### revokeTherapeuticLink

          RevokeTherapeuticLinkResponse revokeTherapeuticLink(TherapeuticLinkType therapeuticLink,
                                                              String breakTheGlass)
                                                       throws TechnicalConnectorException,
                                                              IntraHubBusinessConnectorException

      This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
      Parameters:
        `therapeuticLink` - the therapeutic link
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `RevokeTherapeuticLinkResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### revokeTherapeuticLink

          RevokeTherapeuticLinkResponse revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)
                                                       throws TechnicalConnectorException,
                                                              IntraHubBusinessConnectorException

      This operation should be used to revoke a therapeutic link between a patient and a healthcare party within a hub.
      Parameters:
        `therapeuticLink` - the therapeutic link
      Returns:
        `RevokeTherapeuticLinkResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putAccessRight

          PutAccessRightResponse putAccessRight(AccessRightType accessRight,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to put an access right on a transaction within a hub.
      Parameters:
        `accessRight` - the access right
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutAccessRightResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putAccessRight

          PutAccessRightResponse putAccessRight(AccessRightType accessRight)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to put an access right on a transaction within a hub.
      Parameters:
        `accessRight` - the access right
      Returns:
        `PutAccessRightResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getAccessRight

          GetAccessRightResponse getAccessRight(TransactionIdType transaction,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to get access rights on a transaction within a hub.
      Parameters:
        `transaction` - A transaction ID Type containing the Transaction Identifier.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetAccessRightResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getAccessRight

          GetAccessRightResponse getAccessRight(TransactionIdType transaction)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      This operation should be used to get access rights on a transaction within a hub.
      Parameters:
        `transaction` - A transaction ID Type containing the Transaction Identifier.
      Returns:
        `GetAccessRightResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### revokeAccessRight

          RevokeAccessRightResponse revokeAccessRight(SelectRevokeAccessRightType accessRight,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to revoke access right on a transaction within a hub.
      Parameters:
        `accessRight` - Contains a transaction and a HC Party
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `RevokeAccessRightResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### revokeAccessRight

          RevokeAccessRightResponse revokeAccessRight(SelectRevokeAccessRightType accessRight)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to revoke access right on a transaction within a hub.
      Parameters:
        `accessRight` - Contains a transaction and a HC Party
      Returns:
        `RevokeAccessRightResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionSet

          GetTransactionSetResponse getTransactionSet(PatientIdType patient,
                                                      TransactionBaseType transaction,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.
      Parameters:
        `patient` - Patient for which to retrieve the transaction.
        `transaction` - Transaction identification
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getTransactionSet

          GetTransactionSetResponse getTransactionSet(PatientIdType patient,
                                                      TransactionBaseType transaction)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to retrieve a transaction set(given a transaction identifier) within a hub.
      Parameters:
        `patient` - Patient for which to retrieve the transaction.
        `transaction` - Transaction identification
      Returns:
        `GetTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### putTransactionSet

          PutTransactionSetResponse putTransactionSet(Kmehrmessage msg,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to declare and to store a given transaction set within a hub.
      Parameters:
        `msg` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `PutTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### putTransactionSet

          PutTransactionSetResponse putTransactionSet(Kmehrmessage msg)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      This operation should be used to declare and to store a given transaction set within a hub.
      Parameters:
        `msg` - A Kmehr message formatted as XML String containing a Patient and a Transaction.
      Returns:
        `PutTransactionResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### getLatestUpdate

          GetLatestUpdateResponse getLatestUpdate(SelectGetLatestUpdateType latestUpdate,
                                                  String breakTheGlass)
                                           throws TechnicalConnectorException,
                                                  IntraHubBusinessConnectorException

      This operation should be used to retrieve the time of the last change made to a transaction.
      Parameters:
        `latestUpdate` - Contains the search parameters for the latest update.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetLatestUpdateResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getLatestUpdate

          GetLatestUpdateResponse getLatestUpdate(SelectGetLatestUpdateType latestUpdate)
                                           throws TechnicalConnectorException,
                                                  IntraHubBusinessConnectorException

      This operation should be used to retrieve the time of the last change made to a transaction.
      Parameters:
        `latestUpdate` - Contains the search parameters for the latest update.
      Returns:
        `GetLatestUpdateResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatientAuditTrail

          GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to get the list of transaction accesses for a given patient.
      Parameters:
        `patientAuditTrail` - Contains the search parameters for the audit trail.
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetPatientAuditTrailResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatientAuditTrail

          GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to get the list of transaction accesses for a given patient.
      Parameters:
        `patientAuditTrail` - Contains the search parameters for the audit trail.
      Returns:
        `GetPatientAuditTrailResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatientAuditTrail

          GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail,
                                                            Paginationrequestinfo paginationrequestinfo)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to get the list of transaction accesses for a given patient.
      Parameters:
        `patientAuditTrail` - Contains the search parameters for the audit trail.
        `paginationrequestinfo` - Informations for pagination
      Returns:
        `GetPatientAuditTrailResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

    - #### getPatientAuditTrail

          GetPatientAuditTrailResponse getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail,
                                                            Paginationrequestinfo paginationrequestinfo,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

      This operation should be used to get the list of transaction accesses for a given patient.
      Parameters:
        `patientAuditTrail` - Contains the search parameters for the audit trail.
        `paginationrequestinfo` - Informations for pagination
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        `GetPatientAuditTrailResponse` the WS response object
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.